/* Modal */
.ui-modal-layer {
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
}
.ui-modal-layer-flex {
  display: none;
  opacity: 0;
}
.ui-modal-layer.js-layer-opened {
  /*display: flex !important;*/
}
.ui-modal-container {
  width: 90%;
  max-width: 656px;
  padding: 30px 0 60px;
  border-radius: 15px;
  background: #fff;
}
.ui-modal-container__no-padding {
  padding: 0;
}
.ui-modal-container__large{
  width: 90%;
  max-width: 980px;
  padding: 30px 0 60px;
  border-radius: 30px;
  background: #fff;
}
.ui-modal-container::-webkit-scrollbar{
  display: none;
}
.ui-modal__body {
  position: relative;
  padding: 0 50px;
  max-height: 500px;
  overflow-x: hidden;
  overflow-y: auto;
}
.ui-modal__body.modal-hidden-scrollbar{
  overflow-y: hidden;
}
.ui-modal__body.modal-hidden-scrollbar::-webkit-scrollbar{
  display: none;
}
.ui-modal .ui-modal__body .ui-modal__logo {
  display: none;
}
.ui-modal__header {
  display: flex;
  justify-content: flex-end;
  padding: 10px 60px 0 60px;
}
.ui-modal__close {
  cursor: pointer;
  width: 20px;
  height: 20px;
  background: url("/assets/images/icon/icon-close.svg") no-repeat center center;
  background-size: contain;
  z-index: 1;
}


.ui-notice{
  padding:60px 24px 24px;
  position:relative;
  background:var(--color-white);
  border-radius:8px;
  box-shadow: 0px 0px 18px 0px rgba(0, 0, 0, 0.10);
}
.ui-notice .close-btn{
  position:absolute;
  right:16px;
  top:16px;
  width:24px;
  height:24px;
}
.ui-notice .notice-box{
  display: flex;
  flex-direction: column;
  gap:24px;
  text-align: center;
}
.ui-notice .notice-box h2{
  color: #5F5F5F;
  font-size: 16px;
  font-weight: var(--font-weight-semibold);
  line-height: 22px;
  margin-bottom:10px;
}
.ui-notice .notice-box .notice-text{
  color: #5F5F5F !important;
  font-size: 16px !important;
  font-weight: var(--font-weight-normal) !important;
  line-height: 22px !important;
}
.ui-notice .notice-box .btn-box{
  display:flex;
  justify-content: center;
  align-items: center;
}
.ui-notice .notice-box .btn-box button{
  display:flex;
  justify-content: center;
  align-items: center;
  width:100%;
  height: 48px;
  border-radius: 4px;
  background: #A0F0E0;
  color: #333;
  font-size: 14px;
  font-weight: var(--font-weight-bold);
  line-height: 18px;
}

#wrap > .ui-modal-layer {
  background: rgba(0, 0, 0, 0.5);
}

.ui-modal-container-yesno {
  width: 100%;
  max-width: 372px;
  padding: 24px 20px 20px 20px;
  /*position: absolute;*/
  position: relative;
  margin: 0 auto;
  /*left: calc(50% - 6px);*/
  top: 50%;
  transform: translateY(-50%);
  border-radius: 8px;
}
.ui-modal-container-yesno .ui-modal__body {
  padding: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-direction: column;
  text-align: center;
}
.ui-modal-container-yesno .yesno-modal-footer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}
.ui-modal-container-yesno .yesno-modal-footer button {
  border-radius: 4px;
  background: #A0F0E0;
  color: #333;
  font-size: 14px;
  font-weight: var(--font-weight-bold);
  line-height: 18px;
}


.primaryButton {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 48px;
  border-radius: 4px;
  background: var(--color-primary300);
  color: var(--color-neutral800);
  font-weight: var(--font-weight-semibold);
}


button {
  cursor: pointer;
  padding:0;
}

label {
  cursor: pointer;
}

.is-scroll-blocking,
.is-scroll-blocking body,
.is-scroll-blocking #wrap {
  overflow: hidden;
}
.is-scroll-blocking.is-scrollbars-width #wrap {
  margin-right: 17px;
}
.js-ui-dropdown__layer,
.js-ui-dropdown-hover__layer {
  display: none;
}
[data-clipboard-target] {
  display: none;
}
[data-clipboard-dummy] {
  position: fixed;
  top: 0;
  left: -999999px;
  width: 1px;
  height: 1px;
  overflow: hidden;
}
.js-clipboard-layer {
  position: fixed;
  z-index: 999999;
  padding: 5px 10px;
  border-radius: 3px;
  box-shadow: 3px 3px 6px 0 rgba(0, 0, 0, 0.2);
  background: #2bd3c6;
}
.js-clipboard-layer__text {
  font-size: 12px;
  line-height: 18px;
  white-space: nowrap;
  color: #fff;
}
.js-clipboard-layer__title {
  vertical-align: top;
}
[data-checkbox-tab-panel] {
  display: none;
}
[data-count-animate]:empty:before {
  content: '0';
}
[data-tab] {
  display: none;
}
[data-tab].js-tabpanel-opened {
  display: block;
}


/* typo */
h1 {
  font-size: var(--font-size-h1);
  font-weight: var(--font-weight-semibold);
  line-height: 1.3;
}
h2 {
  font-size: var(--font-size-h2);
  font-weight: var(--font-weight-semibold);
  line-height: 1.3;
}
h3 {
  font-size: var(--font-size-h3);
  font-weight: var(--font-weight-semibold);
  line-height: 1.3;
}
h4 {
  font-size: var(--font-size-h4);
  font-weight: var(--font-weight-semibold);
  line-height: 1.3;
}
h5 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-bold);
  line-height: 1.5;
}
h6 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-bold);
  line-height: 1.57;
}

.b1 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-normal);
  line-height: 1.5;
}
.bm1 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-normal);
  line-height: 1.5;
}
.bs1 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-semibold);
  line-height: 1.5;
}
.bb1 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-bold);
  line-height: 1.5;
}
.b2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-normal);
  line-height: 1.57;
}
.bm2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-normal);
  line-height: 1.57;
}
.bs2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-semibold);
  line-height: 1.57;
}
.bb2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-bold);
  line-height: 1.57;
}
.b3 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-normal);
  line-height: 16px;
}
.bm3 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-normal);
  line-height: 16px;
}
.bs3 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-semibold);
  line-height: 16px;
}
.bb3 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-bold);
  line-height: 16px;
}
.btn1 {
  font-size: var(--font-size-h5);
  font-weight: var(--font-weight-semibold);
  line-height: 20px;
}
.btn2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-normal);
  line-height: 18px;
}
.btnm2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-normal);
  line-height: 18px;
}
.btns2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-semibold);
  line-height: 18px;
}
.btnb2 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-bold);
  line-height: 18px;
}
.txtBtn1 {
  font-size: var(--font-size-h6);
  font-weight: var(--font-weight-normal);
  line-height: 1.57;
}
.txtBtn2 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-normal);
  line-height: 16px;
}
.l1 {
  font-size: var(--font-size-l1);
  font-weight: var(--font-weight-normal);
  line-height: 18px;
}
.ls1 {
  font-size: var(--font-size-l1);
  font-weight: var(--font-weight-semibold);
  line-height: 18px;
}
.l2 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-normal);
  line-height: 16px;
}
.lm2 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-normal);
  line-height: 16px;
}
.lb2 {
  font-size: var(--font-size-b3);
  font-weight: var(--font-weight-bold);
  line-height: 16px;
}
.l3 {
  font-size: var(--font-size-l3);
  font-weight: var(--font-weight-normal);
  line-height: 14px;
}

.ui-basic-button[disabled],
.ui-basic-button--disabled,
.ui-basic-button[disabled]:hover,
.ui-basic-button--disabled:hover {
  color: #fff;
  border-color: #d3d3d3;
  background-color: #d3d3d3;
}


input[readonly] {
  border-color: #f8f4f4;
  background-color: #f8f4f4;
  pointer-events: none;
}

select[readonly] {
  border-color: #f8f4f4;
  background-color: #f8f4f4;
  pointer-events: none;
}


